---

#
# JSON Schema definition for `polarion` report plugin
#
# https://tmt.readthedocs.io/en/stable/spec/plans.html#polarion
#

$id: /schemas/report/polarion
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - polarion

  name:
    type: string

  file:
    type: string

  project-id:
    type: string

  title:
    type: string

  description:
    type: string

  template:
    type: string

  use-facts:
    type: boolean

  upload:
    type: boolean

  planned-in:
    type: string

  assignee:
    type: string

  pool-team:
    type: string

  arch:
    type: string

  platform:
    type: string

  build:
    type: string

  sample-image:
    type: string

  logs:
    type: string

  compose-id:
    type: string

  test-cycle:
    type: string

  fips:
    type: boolean

  prettify:
    type: boolean

  include-output-log:
    type: boolean

  when:
    $ref: "/schemas/common#/definitions/when"

required:
  - how
  - project-id
